Bug 17580 - Add the Koha::Patron->get_overdues method
Summary: Add the Koha::Patron->get_overdues method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17553 17584 17585
  Show dependency treegraph
 
Reported: 2016-11-08 12:14 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17580: Add the Koha::Patron->get_overdues method (4.43 KB, patch)
2016-11-08 12:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17580: Add the Koha::Patron->get_overdues method (4.51 KB, patch)
2016-11-08 12:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17580: Add the Koha::Patron->get_overdues method (4.48 KB, patch)
2016-11-08 12:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17580: Add the Koha::Patron->get_overdues method (4.54 KB, patch)
2016-11-09 07:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17580: Add the Koha::Patron->get_overdues method (4.45 KB, patch)
2016-11-30 08:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17580: Add the Koha::Patron->get_overdues method (4.51 KB, patch)
2016-12-02 15:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-08 12:14:44 UTC

    
Comment 1 Jonathan Druart 2016-11-08 12:18:24 UTC
Created attachment 57309 [details] [review]
Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 2 Jonathan Druart 2016-11-08 12:22:02 UTC
Created attachment 57311 [details] [review]
Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 3 Jonathan Druart 2016-11-08 12:37:35 UTC
Created attachment 57314 [details] [review]
Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 4 Josef Moravec 2016-11-09 07:10:51 UTC
Created attachment 57362 [details] [review]
[SIGNED-OFF] Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2016-11-30 08:14:56 UTC
Created attachment 57828 [details] [review]
Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2016-11-30 08:15:58 UTC
Rebased removing the dependency on bug 16966
Comment 7 Tomás Cohen Arazi 2016-12-01 17:46:33 UTC
There's some dependency missing I guess.
Comment 8 Jonathan Druart 2016-12-02 08:20:17 UTC
(In reply to Tomás Cohen Arazi from comment #7)
> There's some dependency missing I guess.

Apply ok for me
Comment 9 Kyle M Hall 2016-12-02 15:03:19 UTC
t/db_dependent/Koha/Patrons.t .. 4/14     # No tests run!
t/db_dependent/Koha/Patrons.t .. 13/14
#   Failed test 'No tests run for subtest "get_overdues"'
#   at t/db_dependent/Koha/Patrons.t line 431.
:1: parser error : Start tag expected, '<' not found
EuExyYxkK
^
# Looks like your test exited with 255 just after 13.
t/db_dependent/Koha/Patrons.t .. Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 2/14 subtests

Test Summary Report
-------------------
t/db_dependent/Koha/Patrons.t (Wstat: 65280 Tests: 13 Failed: 1)
  Failed test:  13
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 14 tests but ran 13.
Files=1, Tests=13,  4 wallclock secs ( 0.02 usr  0.01 sys +  3.09 cusr  0.12 csys =  3.24 CPU)
Result: FAIL
Comment 10 Tomás Cohen Arazi 2016-12-02 15:04:08 UTC
Created attachment 57927 [details] [review]
Bug 17580: Add the Koha::Patron->get_overdues method

This method will be used by several patches later.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Kyle M Hall 2016-12-02 19:22:53 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 12 Katrin Fischer 2016-12-04 21:45:49 UTC
This won't get backported to 16.11.x as it is an enhancement.
Comment 13 Katrin Fischer 2016-12-05 20:33:09 UTC
There is a follow-up for this on the master branch with a wrong bug number. 
It won't be needed in stable releases:
 Bug 17586 [QA Followup] - Correct the number of unit tests
 46432511a600f0f22b35d004ee47eb573a33f94f